/// <reference types="google.maps" />
import { OnInit } from "@angular/core";
import { FormBuilder, FormGroup, AbstractControl, ValidationErrors } from "@angular/forms";
import { StoresService } from "../../services/stores.service";
import { Router } from "@angular/router";
import { NgxGpAutocompleteDirective } from "@angular-magic/ngx-gp-autocomplete/lib/ngx-gp-autocomplete.directive";
import { ToastService } from "tango-app-ui-shared";
import dayjs from "dayjs";
import "dayjs/locale/en";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import * as i0 from "@angular/core";
export declare class AddStoresFormComponent implements OnInit {
    private fb;
    modalService: NgbModal;
    private storesService;
    private ts;
    private router;
    placesRef: NgxGpAutocompleteDirective;
    select: string;
    storeForm: FormGroup;
    storeId: string;
    timezones: any[];
    $headerFilters: any;
    dayjs: typeof dayjs;
    submitted: boolean;
    isStoreNameExist: boolean;
    productList: any;
    selectedProduct: any;
    selectedCluster: any;
    clusterList: never[];
    handleAddressChange(place: google.maps.places.PlaceResult | any): void;
    constructor(fb: FormBuilder, modalService: NgbModal, storesService: StoresService, ts: ToastService, router: Router);
    ngOnInit(): void;
    createForm(): void;
    validateStoreInfo(): boolean;
    timeRangeValidator(control: AbstractControl): ValidationErrors | null;
    createSpocDetail(): FormGroup;
    getspocDetailsControls(): AbstractControl<any, any>[];
    getspocDetailsValues(i: number): any;
    getStoreProfile(): FormGroup;
    goToStoreInfo(): void;
    goToConfiguration(): void;
    goToContact(): void;
    goToReview(): void;
    addSpocDetail(): void;
    addAltSpoc(): void;
    delAltSpoc(): void;
    removeSpocDetail(index: number): void;
    onSubmit(): void;
    navigateToAddStore(): void;
    omit_special_char(event: any): boolean;
    getAllTimezones(): void;
    get logInvalidControls(): string[];
    navigateToBack(label: any): void;
    onClusterSelect(event: any): void;
    onproductSelect(event: any): void;
    getDisplayName(productName: string): string;
    getclusterList(): void;
    formatProductNames(product: any[]): any[];
    getProductList(): void;
    omitSpecialChar(event: KeyboardEvent): void;
    omitSpecialCharPaste(event: ClipboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddStoresFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddStoresFormComponent, "lib-add-stores-form", never, {}, {}, never, never, false, never>;
}
