import { EventEmitter, ElementRef, OnInit, ChangeDetectorRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import { GlobalStateService } from 'tango-app-ui-global';
import { GroupService } from '../../services/group.service';
import { NgbModal, NgbTooltip } from '@ng-bootstrap/ng-bootstrap';
import { ToastService } from 'tango-app-ui-shared';
import { ExcelService } from '../../services/excel.service';
import * as i0 from "@angular/core";
export interface pagination {
    limit: number;
    offset: number;
    totalCount: number;
}
export declare class ClusterDetailsComponent implements OnInit {
    private groupService;
    private changeDetector;
    gs: GlobalStateService;
    modalService: NgbModal;
    private excelService;
    private ts;
    inputFile: ElementRef;
    private readonly destroy$;
    dataToParent: EventEmitter<any>;
    tooltipContent: NgbTooltip;
    afterValidation: any;
    confirmDelete: any;
    emailRegex: RegExp;
    showcreatebutton: boolean;
    filterOptions: any[];
    searchValue: any;
    storeList: any[];
    storeList_req: any;
    pagination: pagination;
    fileUploadTemplate: any;
    loading: boolean;
    noData: boolean;
    columns: any[];
    paginationSizes: number[];
    receivedData: string;
    $headerFilters: any;
    searchInput: FormControl<string | null>;
    user: any;
    refreshFilter: boolean;
    sortColumName: string;
    sortDirection: number;
    selectedCluster: any;
    viewCluster: boolean;
    private detach;
    excelError: any;
    excelData: any;
    constructor(groupService: GroupService, changeDetector: ChangeDetectorRef, gs: GlobalStateService, modalService: NgbModal, excelService: ExcelService, ts: ToastService);
    ngOnInit(): void;
    initSearch(): void;
    loadTable(): void;
    getMaskedValue(value: string, role: string): string;
    onSort(column: string): void;
    paginationSize(): number;
    onPageChange(pageOffset: number): void;
    onPageSizeChange(pageSize: number): void;
    applyFilter(appliedFilters: any): void;
    gotoView(option: any, value: any): void;
    openCluster(): void;
    createCluster(): void;
    editClusterdata(data: any): void;
    deleteCluster(data: any): void;
    exportXLSX(): void;
    getStoreCounts(data: any): number;
    processedArray: any;
    onUpload(e: any): void;
    Reupload(): void;
    validateDetails(): void;
    closeactivepopup(): void;
    afterUplload(data?: any): void;
    selectAllChecked: boolean;
    selectedStores: any[];
    createcluster: boolean;
    onSelectAll(): void;
    onSelectedCluster(store: any, index: any): void;
    clustersAllselect: any;
    selectAllClusters(value: any): void;
    getCheckedClusterCount(clusterMap: {
        [key: string]: any;
    }): number;
    clusterId: any;
    DeleteAllCluster(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClusterDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ClusterDetailsComponent, "lib-cluster-details", never, {}, { "dataToParent": "dataToParent"; }, never, never, false, never>;
}
