import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { GroupService } from '../../services/group.service';
import { GlobalStateService } from 'tango-app-ui-global';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ExcelService } from '../../services/excel.service';
import { StoresService } from '../../services/stores.service';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export interface pagination {
    limit: number;
    offset: number;
    totalCount: number;
}
export declare class ClusterViewComponent implements OnInit {
    private changeDetector;
    gs: GlobalStateService;
    modalService: NgbModal;
    private groupService;
    private excelService;
    private storesService;
    private router;
    teamData: any;
    filterOptions: any[];
    searchValue: any;
    storeList: any[];
    storeList_req: any;
    pagination: pagination;
    loading: boolean;
    noData: boolean;
    columns: any[];
    paginationSizes: number[];
    receivedData: string;
    $headerFilters: any;
    searchInput: FormControl<string | null>;
    user: any;
    refreshFilter: boolean;
    sortColumName: string;
    sortDirection: number;
    leadList: any;
    private detach;
    viewCluster: boolean;
    constructor(changeDetector: ChangeDetectorRef, gs: GlobalStateService, modalService: NgbModal, groupService: GroupService, excelService: ExcelService, storesService: StoresService, router: Router);
    ngOnInit(): void;
    loadTable(): void;
    initSearch(): void;
    onSort(column: string): void;
    getMaskedValue(value: string, role: string): string;
    getMaskedMobile(value: string, role: string): string;
    paginationSize(): number;
    onPageChange(pageOffset: number): void;
    onPageSizeChange(pageSize: number): void;
    gotoView(option: any, value: any): void;
    exportXLSX(): void;
    applyFilter(appliedFilters: any): void;
    getCountries(): void;
    gotoStore(): void;
    navigateToCamera(storeId: any): void;
    Configure(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClusterViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ClusterViewComponent, "lib-cluster-view", never, { "teamData": { "alias": "teamData"; "required": false; }; }, {}, never, never, false, never>;
}
