import { ChangeDetectorRef, OnDestroy, OnInit } from "@angular/core";
import { PageInfoService } from "tango-app-ui-global";
import { StoresService } from "../../services/stores.service";
import { ExcelService } from "../../services/excel.service";
import { ActivatedRoute, Router } from "@angular/router";
import { FormControl } from "@angular/forms";
import { GlobalStateService } from "tango-app-ui-global";
import { ToastService } from "tango-app-ui-shared";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import { GroupService } from "../../services/group.service";
import * as i0 from "@angular/core";
export interface pagination {
    limit: number;
    offset: number;
    totalCount: number;
}
export declare class TangoManageStoresComponent implements OnInit, OnDestroy {
    private pageInfo;
    private storesService;
    private changeDetector;
    private excelService;
    gs: GlobalStateService;
    modalService: NgbModal;
    private router;
    private route;
    private groupService;
    private ts;
    filterOptions: any[];
    searchValue: any;
    storeList: any[];
    storeList_req: any;
    pagination: pagination;
    loading: boolean;
    noData: boolean;
    columns: any[];
    paginationSizes: number[];
    receivedData: string;
    received: any;
    $headerFilters: any;
    searchInput: FormControl<string | null>;
    private detach;
    user: any;
    refreshFilter: boolean;
    sortColumName: string;
    sortDirection: number;
    selectedTab: any;
    private readonly destroy$;
    constructor(pageInfo: PageInfoService, storesService: StoresService, changeDetector: ChangeDetectorRef, excelService: ExcelService, gs: GlobalStateService, modalService: NgbModal, router: Router, route: ActivatedRoute, groupService: GroupService, ts: ToastService);
    initSearch(): void;
    ngOnDestroy(): void;
    receiveGroupData(data: any): void;
    receive(data: any): void;
    setPageData(): void;
    ngOnInit(): void;
    searchStore(): void;
    getMaskedValue(value: string, role: string): string;
    getMaskedMobile(value: string, role: string): string;
    selectedTabs(type: any): void;
    applyFilter(appliedFilters: any): void;
    getCountries(): void;
    loadTable(): void;
    exportXLSX(): void;
    navigateToStore(storeId: any): void;
    navigateToCamera(storeId: any): void;
    onPageChange(pageOffset: number): void;
    onPageSizeChange(pageSize: number): void;
    isLinkActive(link: string): boolean;
    onSort(column: string): void;
    paginationSize(): number;
    goToEdgeApp(store: any): void;
    goToEdgeAppconfig(store: any): void;
    goToStore(store: any): void;
    goToStoreInfra(store: any): void;
    updateStoreStatus(store: any, type: any): void;
    selectAllChecked: boolean;
    selectedStores: any[];
    createCluster: boolean;
    onSelectAll(): void;
    onSelectedCluster(store: any, index: any): void;
    createClusters(): void;
    getClusterList(): void;
    openDropdowns: boolean[];
    toggleDropdown(event: Event, index: number): void;
    closeAllDropdowns(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TangoManageStoresComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TangoManageStoresComponent, "lib-tango-manage-stores", never, {}, {}, never, never, false, never>;
}
