export interface Store {
    storeId: string;
    storeName: string;
    appId: string;
    clientId: string;
    businessType?: string;
    storeType: {
        type: string;
        name?: string;
    };
    storeProfile: {
        storeCode: string;
        address: string;
        country: string;
        state: string;
        city: string;
        pincode: string;
        timeZone: string;
        open: string;
        close: string;
        latitude: any;
        longitude: any;
    };
    edge?: {
        camDetails: {
            cameras: string;
        };
    };
    spocDetails: SpocDetail[];
    storeConnectionId?: string;
}
export interface StoreResponse {
    _id?: string;
    storeId?: string;
    brandName?: string;
    storeName: string;
    appId?: string;
    clientId?: string;
    businessType?: string;
    storeType: {
        type: string;
        name?: string;
    };
    storeProfile: {
        storeCode: string;
        address: string;
        country: string;
        state: string;
        city: string;
        pincode: string;
        timeZone: string;
        open: string;
        close: string;
        latitude: any;
        longitude: any;
    };
    edge?: {
        serverType: boolean;
    };
    spocDetails: {
        name: string;
        email: string;
        contact: string;
        designation?: string;
    }[];
    storeConnectionId?: string;
    createdAt?: string;
    updatedAt?: string;
    cluster: string;
}
interface SpocDetail {
    name: string;
    email: string;
    contact: string;
    designation?: string;
}
export interface storeList {
    storeName: string;
    storeId: string;
    storeProfile: {
        storeCode?: string;
        address?: string;
        country?: string;
        state?: string;
        city?: string;
    };
    spocDetails: {
        name: string;
        email: string;
        contact: string;
        designation?: string;
    }[] | any;
    status?: string;
}
export interface storeList_req {
    clientId: string;
    fromDate: string;
    toDate: string;
    limit: number;
    offset: number;
    sortBy: string;
    sortOrder: number;
    search: string;
}
export interface StoreBulkItem {
    StoreName: string;
    BusinessType: string;
    StoreType: string;
    TimeZone: string;
    SpocName: string;
    SpocEmail: string;
    SpocContact: string;
    Latitude: string;
    Longitude: string;
    CameraCount: string;
    storeProfile?: {
        address: string;
        country: string;
        state: string;
        city: string;
        pincode: string;
    };
    StoreCloseTime: string;
    StoreOpenTime: string;
    StoreReferenceCode: string;
}
export {};
