import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { Store, StoreResponse } from "../interfaces/store.interface";
import { GlobalStateService } from "tango-app-ui-global";
import * as i0 from "@angular/core";
export declare class StoresService {
    private http;
    private gs;
    private storeApiUrl;
    private middlewareApiUrl;
    private ticketsApiUrl;
    private clusterApiUrl;
    constructor(http: HttpClient, gs: GlobalStateService);
    getStoreList(req: any): Observable<any>;
    getStoreListExport(req: any): Observable<any>;
    getStore(storeId: string): Observable<any>;
    getRemote(id: any, data: any): Observable<Object>;
    createStore(storeBody: StoreResponse): Observable<Store>;
    updateStore(storeId: string, storesBodyReq: any): Observable<any>;
    storeBulkUpload(storesBodyReq: any): Observable<any>;
    getCountries(params?: any): Observable<any>;
    getStates(params: any): Observable<any>;
    getCities(params: any): Observable<any>;
    getAddress(latitude: number, longitude: number): Promise<any>;
    createInfraTicket(req: any): Observable<any>;
    bulkInfraTicket(req: any): Observable<any>;
    private handleError;
    createClusterBulkUpload(storesBodyReq: any): Observable<any>;
    private messageSource;
    currentMessage: Observable<string>;
    changeMessage(message: string): void;
    getClusterList(data: any): Observable<any>;
    getProductList(data: any): Observable<any>;
    getSpocEmailCheck(data: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StoresService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StoresService>;
}
